texmath-0.11.1.1: Conversion between formats used to represent mathematics.

Safe Haskell | Safe
Language | Haskell2010

Text.TeXMath.TeX

Synopsis

- data TeX
  - = ControlSeq String
  - | Token Char
  - | Literal String
  - | Grouped [TeX]
  - | Space
- renderTeX :: TeX -> String -> String
- isControlSeq :: String -> Bool
- escapeLaTeX :: Char -> TeX

# Documentation

data TeX #

An intermediate representation of TeX math, to be used in rendering.

Constructors

ControlSeq String |
Token Char |
Literal String |
Grouped [TeX] |
Space |

Instances

Eq TeX # |
Instance details Defined in Text.TeXMath.TeX Methods (==) :: TeX -> TeX -> Bool # (/=) :: TeX -> TeX -> Bool #
Show TeX # |
Instance details Defined in Text.TeXMath.TeX Methods showsPrec :: Int -> TeX -> ShowS # show :: TeX -> String # showList :: [TeX] -> ShowS #

renderTeX :: TeX -> String -> String #

Render a `TeX` to a string, appending to the front of the given string.

isControlSeq :: String -> Bool #

escapeLaTeX :: Char -> TeX #